C*****************************************************************************
C*  Copyright (C) NEC Corporation 2010 All rights reserved.                  *
C*  File Name    : AMSR_f.h                                                  *
C*  Abstract     : AMTK header file  for FORTRAN                             *
C*                                                                           *
C*  Author     NEC                                                           *
C*  Date       2012/12/20                                                    *
C*  Version    1.11                                                          *
C*             1.12 2014/12/26 AM2_DEF_RMISS    -9999.0 -> -9999.99          *
C*  Notice                                                                   *
C*****************************************************************************

      integer,PARAMETER :: A2HIGH=392
      integer,PARAMETER :: A2LOW=196
      integer,PARAMETER :: A2CAL_L=8
      integer,PARAMETER :: A2CAL_H=16
      integer,PARAMETER :: P1CAL_L=16
      integer,PARAMETER :: P1CAL_H=32

      integer,PARAMETER :: LOW_89_SCANNO=11
      real,   PARAMETER :: BT_TEMP_MIN=2.7
      real,   PARAMETER :: BT_TEMP_MAX=340.0

C     include 'hdf.inc'

C*****************************************************************************
C*    Access label definition                                                *
C*****************************************************************************

C* L1A

      integer,PARAMETER :: AM2_SCAN_TIME_DEF =    10010
      integer,PARAMETER :: AM2_POS_ORBIT     =    10020
      integer,PARAMETER :: AM2_NAVI          =    10030
      integer,PARAMETER :: AM2_ATT           =    10040
      integer,PARAMETER :: AM2_OC06V         =    10050
      integer,PARAMETER :: AM2_OC06H         =    10060
      integer,PARAMETER :: AM2_OC07V         =    10070
      integer,PARAMETER :: AM2_OC07H         =    10080
      integer,PARAMETER :: AM2_OC10V         =    10090
      integer,PARAMETER :: AM2_OC10H         =    10100
      integer,PARAMETER :: AM2_OC18V         =    10110
      integer,PARAMETER :: AM2_OC18H         =    10120
      integer,PARAMETER :: AM2_OC23V         =    10130
      integer,PARAMETER :: AM2_OC23H         =    10140
      integer,PARAMETER :: AM2_OC36V         =    10150
      integer,PARAMETER :: AM2_OC36H         =    10160
      integer,PARAMETER :: AM2_OC89AV        =    10170
      integer,PARAMETER :: AM2_OC89AH        =    10180
      integer,PARAMETER :: AM2_OC89BV        =    10190
      integer,PARAMETER :: AM2_OC89BH        =    10200
      integer,PARAMETER :: AM2_OC_LO         =    10210
      integer,PARAMETER :: AM2_OC_89A        =    10220
      integer,PARAMETER :: AM2_OC_89B        =    10230
      integer,PARAMETER :: AM2_HTS_LO        =    10240
      integer,PARAMETER :: AM2_HTS_HI        =    10250
      integer,PARAMETER :: AM2_CSM_LO        =    10260
      integer,PARAMETER :: AM2_CSM_HI        =    10270
      integer,PARAMETER :: AM2_OFF_GAIN      =    10290
      integer,PARAMETER :: AM2_SUN_AZ        =    10300
      integer,PARAMETER :: AM2_SUN_EL        =    10310
      integer,PARAMETER :: AM2_EARTH_INC     =    10320
      integer,PARAMETER :: AM2_EARTH_AZ      =    10330
      integer,PARAMETER :: AM2_LOF_LO        =    10340
      integer,PARAMETER :: AM2_LOF_HI        =    10350
      integer,PARAMETER :: AM2_OB_SPL        =    10420
      integer,PARAMETER :: AM2_SPC_TEMP      =    10430
      integer,PARAMETER :: AM2_SPS_TEMP      =    10440
      integer,PARAMETER :: AM2_PCD           =    10450
      integer,PARAMETER :: AM2_SCAN_QUAL     =    10460
      integer,PARAMETER :: AM2_PIX_QUAL_LO   =    10470
      integer,PARAMETER :: AM2_PIX_QUAL_HI   =    10480
      integer,PARAMETER :: AM2_INTPL_LO      =    10490
      integer,PARAMETER :: AM2_INTPL_HI      =    10500
C* unused: XU05-AI-FY2012-0001 Remove [Spill Over]
      integer,PARAMETER :: AM2_SPL_OV        =    10510

C* L1B

      integer,PARAMETER :: AM2_TB06V         =    11050
      integer,PARAMETER :: AM2_TB06H         =    11060
      integer,PARAMETER :: AM2_TB07V         =    11070
      integer,PARAMETER :: AM2_TB07H         =    11080
      integer,PARAMETER :: AM2_TB10V         =    11090
      integer,PARAMETER :: AM2_TB10H         =    11100
      integer,PARAMETER :: AM2_TB18V         =    11110
      integer,PARAMETER :: AM2_TB18H         =    11120
      integer,PARAMETER :: AM2_TB23V         =    11130
      integer,PARAMETER :: AM2_TB23H         =    11140
      integer,PARAMETER :: AM2_TB36V         =    11150
      integer,PARAMETER :: AM2_TB36H         =    11160
      integer,PARAMETER :: AM2_TB89AV        =    11170
      integer,PARAMETER :: AM2_TB89AH        =    11180
      integer,PARAMETER :: AM2_TB89BV        =    11190
      integer,PARAMETER :: AM2_TB89BH        =    11200
      integer,PARAMETER :: AM2_TB_LO         =    11210
      integer,PARAMETER :: AM2_TB_89A        =    11220
      integer,PARAMETER :: AM2_TB_89B        =    11230

C* L1R
      integer,PARAMETER :: AM2_RES06_TB06V   =    12050
      integer,PARAMETER :: AM2_RES06_TB06H   =    12060
      integer,PARAMETER :: AM2_RES06_TB07V   =    12070
      integer,PARAMETER :: AM2_RES06_TB07H   =    12080
      integer,PARAMETER :: AM2_RES06_TB10V   =    12090
      integer,PARAMETER :: AM2_RES06_TB10H   =    12100
      integer,PARAMETER :: AM2_RES06_TB18V   =    12110
      integer,PARAMETER :: AM2_RES06_TB18H   =    12120
      integer,PARAMETER :: AM2_RES06_TB23V   =    12130
      integer,PARAMETER :: AM2_RES06_TB23H   =    12140
      integer,PARAMETER :: AM2_RES06_TB36V   =    12150
      integer,PARAMETER :: AM2_RES06_TB36H   =    12160
      integer,PARAMETER :: AM2_RES06_TB89V   =    12170
      integer,PARAMETER :: AM2_RES06_TB89H   =    12180
      integer,PARAMETER :: AM2_RES06_TB_ALL  =    12190
      integer,PARAMETER :: AM2_RES10_TB10V   =    12200
      integer,PARAMETER :: AM2_RES10_TB10H   =    12210
      integer,PARAMETER :: AM2_RES10_TB18V   =    12220
      integer,PARAMETER :: AM2_RES10_TB18H   =    12230
      integer,PARAMETER :: AM2_RES10_TB23V   =    12240
      integer,PARAMETER :: AM2_RES10_TB23H   =    12250
      integer,PARAMETER :: AM2_RES10_TB36V   =    12260
      integer,PARAMETER :: AM2_RES10_TB36H   =    12270
      integer,PARAMETER :: AM2_RES10_TB89V   =    12280
      integer,PARAMETER :: AM2_RES10_TB89H   =    12290
      integer,PARAMETER :: AM2_RES10_TB_ALL  =    12300
      integer,PARAMETER :: AM2_RES23_TB18V   =    12310
      integer,PARAMETER :: AM2_RES23_TB18H   =    12320
      integer,PARAMETER :: AM2_RES23_TB23V   =    12330
      integer,PARAMETER :: AM2_RES23_TB23H   =    12340
      integer,PARAMETER :: AM2_RES23_TB36V   =    12350
      integer,PARAMETER :: AM2_RES23_TB36H   =    12360
      integer,PARAMETER :: AM2_RES23_TB89V   =    12370
      integer,PARAMETER :: AM2_RES23_TB89H   =    12380
      integer,PARAMETER :: AM2_RES23_TB_ALL  =    12390
      integer,PARAMETER :: AM2_RES36_TB36V   =    12400
      integer,PARAMETER :: AM2_RES36_TB36H   =    12410
      integer,PARAMETER :: AM2_RES36_TB89V   =    12420
      integer,PARAMETER :: AM2_RES36_TB89H   =    12430
      integer,PARAMETER :: AM2_RES36_TB_ALL  =    12440
      integer,PARAMETER :: AM2_MEAN_HEIGHT   =    12510
      integer,PARAMETER :: AM2_LOF_RES_LO    =    12560
      integer,PARAMETER :: AM2_LOF_RES_HI    =    12570

C* L2

      integer,PARAMETER :: AM2_SWATH_GEO1    =    21030
      integer,PARAMETER :: AM2_SWATH_GEO2    =    21040
      integer,PARAMETER :: AM2_SWATH_GEO3    =    21050
      integer,PARAMETER :: AM2_SWATH_GEOA    =    21060
      integer,PARAMETER :: AM2_PIX_QUAL      =    21070
      integer,PARAMETER :: AM2_SWATHA_GEO1   =    22030
      integer,PARAMETER :: AM2_SWATHA_GEO2   =    22040
      integer,PARAMETER :: AM2_SWATHA_GEO3   =    22050
      integer,PARAMETER :: AM2_SWATHA_GEOA   =    22060
      integer,PARAMETER :: AM2_SWATHB_GEO1   =    22070
      integer,PARAMETER :: AM2_SWATHB_GEO2   =    22080
      integer,PARAMETER :: AM2_SWATHB_GEO3   =    22090
      integer,PARAMETER :: AM2_SWATHB_GEOA   =    22100
      integer,PARAMETER :: AM2_PIX_QUAL_A    =    22110
      integer,PARAMETER :: AM2_PIX_QUAL_B    =    22120

C* L3

      integer,PARAMETER :: AM2_GRID_TBV      =    31010
      integer,PARAMETER :: AM2_GRID_TBH      =    31020
      integer,PARAMETER :: AM2_GRID_TB       =    31030
      integer,PARAMETER :: AM2_GRID_TIME     =    31040
      integer,PARAMETER :: AM2_GRID_GEO1     =    31310
      integer,PARAMETER :: AM2_GRID_GEO2     =    31320
      integer,PARAMETER :: AM2_GRID_GEO3     =    31330
      integer,PARAMETER :: AM2_GRID_GEOA     =    31340

C* L3

      integer,PARAMETER :: AM2_GRID_TBV_STD  =    34140
      integer,PARAMETER :: AM2_GRID_TBH_STD  =    34150
      integer,PARAMETER :: AM2_GRID_TB_STD   =    34160
      integer,PARAMETER :: AM2_GRID_TBV_ANUM =    34170
      integer,PARAMETER :: AM2_GRID_TBH_ANUM =    34180
      integer,PARAMETER :: AM2_GRID_TB_ANUM  =    34190
      integer,PARAMETER :: AM2_GRID_TBV_TNUM =    34200
      integer,PARAMETER :: AM2_GRID_TBH_TNUM =    34210
      integer,PARAMETER :: AM2_GRID_TB_TNUM  =    34220
      integer,PARAMETER :: AM2_GRID_GEO1_STD =    34510
      integer,PARAMETER :: AM2_GRID_GEO2_STD =    34520
      integer,PARAMETER :: AM2_GRID_GEO3_STD =    34530
      integer,PARAMETER :: AM2_GRID_GEOA_STD =    34540
      integer,PARAMETER :: AM2_GRID_GEO1_ANUM=    34550
      integer,PARAMETER :: AM2_GRID_GEO2_ANUM=    34560
      integer,PARAMETER :: AM2_GRID_GEO3_ANUM=    34570
      integer,PARAMETER :: AM2_GRID_GEOA_ANUM=    34580
      integer,PARAMETER :: AM2_GRID_GEO1_TNUM=    34590
      integer,PARAMETER :: AM2_GRID_GEO2_TNUM=    34600
      integer,PARAMETER :: AM2_GRID_GEO3_TNUM=    34610
      integer,PARAMETER :: AM2_GRID_GEOA_TNUM=    34620

C* LATLON

      integer,PARAMETER :: AM2_DEF_SNUM_LO   =    243
      integer,PARAMETER :: AM2_DEF_SNUM_HI   =    486
C

      integer,PARAMETER :: AM2_LATLON_06     =    40010
      integer,PARAMETER :: AM2_LATLON_07     =    40020
      integer,PARAMETER :: AM2_LATLON_10     =    40030
      integer,PARAMETER :: AM2_LATLON_18     =    40040
      integer,PARAMETER :: AM2_LATLON_23     =    40050
      integer,PARAMETER :: AM2_LATLON_36     =    40060
      integer,PARAMETER :: AM2_LATLON_89A    =    40070
      integer,PARAMETER :: AM2_LATLON_89B    =    40080
      integer,PARAMETER :: AM2_LATLON_LO     =    40090
      integer,PARAMETER :: AM2_LATLON_RS_89A =    40100
      integer,PARAMETER :: AM2_LATLON_RS_89B =    40110
      integer,PARAMETER :: AM2_LATLON_RS_LO  =    40120
      integer,PARAMETER :: AM2_LATLON_L2_LO  =    40130
      integer,PARAMETER :: AM2_LATLON_L2_89A =    40140
      integer,PARAMETER :: AM2_LATLON_L2_89B =    40150
      integer,PARAMETER :: AM2_GRID_LATLON   =    40160

C* 
      integer,PARAMETER :: SUCCEED           =    0
      integer,PARAMETER :: FAIL              =    (-1)

      integer,PARAMETER :: AM2_HIGH          =    486
      integer,PARAMETER :: AM2_LOW           =    243

      integer,PARAMETER :: AM2_DEF_L3H_EQ_X  =    3600
      integer,PARAMETER :: AM2_DEF_L3H_EQ_Y  =    1800
      integer,PARAMETER :: AM2_DEF_L3L_EQ_X  =    1440
      integer,PARAMETER :: AM2_DEF_L3L_EQ_Y  =    720
      real,   PARAMETER :: AM2_DEF_L3H_EQ_GSIZE = 0.1
      real,   PARAMETER :: AM2_DEF_L3L_EQ_GSIZE = 0.25
      integer,PARAMETER :: AM2_DEF_L3H_PN1_X =    760
      integer,PARAMETER :: AM2_DEF_L3H_PN1_Y =    1120
      integer,PARAMETER :: AM2_DEF_L3L_PN1_X =    304
      integer,PARAMETER :: AM2_DEF_L3L_PN1_Y =    448
      integer,PARAMETER :: AM2_DEF_L3H_PN2_X =    1080
      integer,PARAMETER :: AM2_DEF_L3H_PN2_Y =    1435
      integer,PARAMETER :: AM2_DEF_L3L_PN2_X =    432
      integer,PARAMETER :: AM2_DEF_L3L_PN2_Y =    574
      integer,PARAMETER :: AM2_DEF_L3H_PS_X  =    790
      integer,PARAMETER :: AM2_DEF_L3H_PS_Y  =    830
      integer,PARAMETER :: AM2_DEF_L3L_PS_X  =    316
      integer,PARAMETER :: AM2_DEF_L3L_PS_Y  =    332
      integer,PARAMETER :: AM2_DEF_CAL_LO    =    16
      integer,PARAMETER :: AM2_DEF_CAL_HI    =    32

      integer,PARAMETER :: AM2CAL_L          =    16
      integer,PARAMETER :: AM2CAL_H          =    32

      integer,PARAMETER :: AM2_MISS_SHORT    =    9999
      integer,PARAMETER :: AM2_MISS_UCHAR    =    99
      real,   PARAMETER :: AM2_MISS_FLOAT    =    -999.9

      integer,PARAMETER :: AM2_DEF_IMISS     =    -32768
      integer,PARAMETER :: AM2_DEF_UIMISS    =    65535
      integer,PARAMETER :: AM2_DEF_CMISS     =    255
      real,   PARAMETER :: AM2_DEF_RMISS     =    -9999.99

      integer,PARAMETER :: SUCCESS           =    0

      integer,PARAMETER :: AM2_DTYPE_INT     =    1
      integer,PARAMETER :: AM2_DTYPE_UCHAR   =    2
      integer,PARAMETER :: AM2_DTYPE_FLOAT   =    3
      integer,PARAMETER :: AM2_DTYPE_DOUBLE  =    4

      integer,PARAMETER :: AM2_SCANNUM_NOCHK =    -9999

      integer,PARAMETER :: AM2_START_SCANNUM_ALL =  AM2_SCANNUM_NOCHK
      integer,PARAMETER :: AM2_END_SCANNUM_ALL =    AM2_SCANNUM_NOCHK

      integer,PARAMETER :: AM2_ON            =    1
      integer,PARAMETER :: AM2_OFF           =    0

      integer,PARAMETER :: AM2_RW_MODE       =    1
      integer,PARAMETER :: AM2_CREATE_MODE   =    2

C*****************************************************************************
C*    AMTK LATLON                                                            *
C*****************************************************************************
C*    structure /AM2_COMMON_LATLON/
      type AM2_COMMON_LATLON
          real*4  lat
          real*4  lon
C*    end structure
      end type AM2_COMMON_LATLON


C*****************************************************************************
C*    AMTK SCANTIME                                                          *
C*****************************************************************************
C*    structure /AM2_COMMON_SCANTIME/
      type AM2_COMMON_SCANTIME
C*        total sec. beginning 1993/01/01
          real*8      tai93sec
          integer*2   year
          integer*2   month
          integer*2   day
          integer*2   hour
          integer*2   minute
          integer*2   second
          integer*2   ms
          integer*2   reserve
C*    end structure
      end type AM2_COMMON_SCANTIME

C*****************************************************************************
C*    AMTK SCAN_DATA_QUALITY                                                 *
C*****************************************************************************
C*    structure /AMTK_SCAN_DATA_QUALITY/
      type AMTK_SCAN_DATA_QUALITY
          real*4      angular_direction(2)
          integer*4   quality_of_packet
          real*4      angular_velocity
          real*4      calibration(64)
          integer*4   spc_sps_error
          integer*4   hts_temperature(16)
          integer*4   parity_error(33)
          integer*4   quality_info(4)
          integer*4   spare(6)
C*    end structure
      end type AMTK_SCAN_DATA_QUALITY

C*****************************************************************************
C*    Function prototypes                                                    *
C*****************************************************************************

      Integer AMTK_openH5
      integer AMTK_closeH5
      integer AMTK_getDimSize
      integer AMTK_getMetaDataName
      integer AMTK_getMetaData
      integer AMTK_getScanTime
      integer AMTK_getLatLon
      integer AMTK_get_ScanDataQuality
      integer AMTK_get_SwathInt
      integer AMTK_get_SwathFloat
      integer AMTK_get_SwathDouble
      integer AMTK_get_SwathUChar

C*******************************************************************************

      integer AMTK_openH5_Write
      integer AMTK_closeH5_Write
      integer AMTK_setDimSize
      integer AMTK_setMetaDataNAME
      integer AMTK_setMetaData
      integer AMTK_setScanTime
      integer AMTK_setLatLon
      integer AMTK_set_ScanDataQuality
      integer AMTK_set_SwathInt
      integer AMTK_set_SwathFloat
      integer AMTK_set_SwathDouble
      integer AMTK_set_SwathUChar

C*******************************************************************************

      integer AMTK_get_GridInt
      integer AMTK_get_GridFloat
      integer AMTK_get_Grid03D
      integer AMTK_set_GridInt
      integer AMTK_set_GridFloat

C*******************************************************************************
