C*****************************************************************************
C*  Copyright (C) NEC Corporation 2010 All rights reserved.                  *
C*  File Name    : AMSR_f.h                                                  *
C*  Abstract     : AMTK header file  for FORTRAN                             *
C*                                                                           *
C*  Author     NEC                                                           *
C*  Date       2012/12/20                                                    *
C*  Version    1.11                                                          *
C*             1.12 2014/12/26 AM2_DEF_RMISS    -9999.0 -> -9999.99          *
C*  Notice                                                                   *
C*****************************************************************************

      Integer A2HIGH,A2LOW,A2CAL_L,A2CAL_H,P1CAL_L,P1CAL_H

      Integer LOW_89_SCANNO
      Real    BT_TEMP_MIN
      Real    BT_TEMP_MAX

      Integer AM2_SCAN_TIME_DEF,AM2_POS_ORBIT,AM2_NAVI
      Integer AM2_ATT,AM2_OC06V,AM2_OC06H,AM2_OC07V
      Integer AM2_OC07H,AM2_OC10V,AM2_OC10H,AM2_OC18V
      Integer AM2_OC18H,AM2_OC23V,AM2_OC23H,AM2_OC36V
      Integer AM2_OC36H,AM2_OC89AV,AM2_OC89AH,AM2_OC89BV
      Integer AM2_OC89BH,AM2_OC_LO,AM2_OC_89A,AM2_OC_89B
      Integer AM2_HTS_LO,AM2_HTS_HI,AM2_CSM_LO,AM2_CSM_HI
      Integer AM2_OFF_GAIN,AM2_SUN_AZ,AM2_SUN_EL,AM2_EARTH_INC
      Integer AM2_EARTH_AZ,AM2_LOF_LO,AM2_LOF_HI,AM2_OB_SPL
      Integer AM2_SPC_TEMP,AM2_SPS_TEMP,AM2_PCD,AM2_SCAN_QUAL
      Integer AM2_PIX_QUAL_LO,AM2_PIX_QUAL_HI,AM2_INTPL_LO
      Integer AM2_INTPL_HI
C* unused: XU05-AI-FY2012-0001 Remove [Spill Over]
      Integer AM2_SPL_OV

      Integer AM2_TB06V,AM2_TB06H,AM2_TB07V,AM2_TB07H,AM2_TB10V
      Integer AM2_TB10H,AM2_TB18V,AM2_TB18H,AM2_TB23V,AM2_TB23H
      Integer AM2_TB36V,AM2_TB36H,AM2_TB89AV,AM2_TB89AH,AM2_TB89BV
      Integer AM2_TB89BH,AM2_TB_LO,AM2_TB_89A,AM2_TB_89B

      Integer AM2_RES06_TB06V,AM2_RES06_TB06H,AM2_RES06_TB07V
      Integer AM2_RES06_TB07H,AM2_RES06_TB10V,AM2_RES06_TB10H
      Integer AM2_RES06_TB18V,AM2_RES06_TB18H,AM2_RES06_TB23V
      Integer AM2_RES06_TB23H,AM2_RES06_TB36V,AM2_RES06_TB36H
      Integer AM2_RES06_TB89V,AM2_RES06_TB89H,AM2_RES06_TB_ALL
      Integer AM2_RES10_TB10V,AM2_RES10_TB10H,AM2_RES10_TB18V
      Integer AM2_RES10_TB18H,AM2_RES10_TB23V,AM2_RES10_TB23H
      Integer AM2_RES10_TB36V,AM2_RES10_TB36H,AM2_RES10_TB89V
      Integer AM2_RES10_TB89H,AM2_RES10_TB_ALL,AM2_RES23_TB18V
      Integer AM2_RES23_TB18H,AM2_RES23_TB23V,AM2_RES23_TB23H
      Integer AM2_RES23_TB36V,AM2_RES23_TB36H,AM2_RES23_TB89V
      Integer AM2_RES23_TB89H,AM2_RES23_TB_ALL,AM2_RES36_TB36V
      Integer AM2_RES36_TB36H,AM2_RES36_TB89V,AM2_RES36_TB89H
      Integer AM2_RES36_TB_ALL,AM2_MEAN_HEIGHT,AM2_LOF_RES_LO
      Integer AM2_LOF_RES_HI

      Integer AM2_SWATH_GEO1,AM2_SWATH_GEO2,AM2_SWATH_GEO3
      Integer AM2_SWATH_GEOA,AM2_PIX_QUAL,AM2_SWATHA_GEO1
      Integer AM2_SWATHA_GEO2,AM2_SWATHA_GEO3,AM2_SWATHA_GEOA
      Integer AM2_SWATHB_GEO1,AM2_SWATHB_GEO2,AM2_SWATHB_GEO3
      Integer AM2_SWATHB_GEOA,AM2_PIX_QUAL_A,AM2_PIX_QUAL_B

      Integer AM2_GRID_TBV,AM2_GRID_TBH,AM2_GRID_TB
      Integer AM2_GRID_TIME,AM2_GRID_GEO1,AM2_GRID_GEO2
      Integer AM2_GRID_GEO3,AM2_GRID_GEOA

      Integer AM2_GRID_TBV_STD,AM2_GRID_TBH_STD,AM2_GRID_TB_STD
      Integer AM2_GRID_TBV_ANUM,AM2_GRID_TBH_ANUM,AM2_GRID_TB_ANUM
      Integer AM2_GRID_TBV_TNUM,AM2_GRID_TBH_TNUM,AM2_GRID_TB_TNUM
      Integer AM2_GRID_GEO1_STD,AM2_GRID_GEO2_STD,AM2_GRID_GEO3_STD
      Integer AM2_GRID_GEOA_STD,AM2_GRID_GEO1_ANUM,AM2_GRID_GEO2_ANUM
      Integer AM2_GRID_GEO3_ANUM,AM2_GRID_GEOA_ANUM,AM2_GRID_GEO1_TNUM
      Integer AM2_GRID_GEO2_TNUM,AM2_GRID_GEO3_TNUM,AM2_GRID_GEOA_TNUM

      Integer AM2_DEF_SNUM_LO,AM2_DEF_SNUM_HI
      Integer AM2_LATLON_06,AM2_LATLON_07,AM2_LATLON_10,AM2_LATLON_18
      Integer AM2_LATLON_23,AM2_LATLON_36,AM2_LATLON_89A
      Integer AM2_LATLON_89B,AM2_LATLON_LO,AM2_LATLON_RS_89A
      Integer AM2_LATLON_RS_89B,AM2_LATLON_RS_LO,AM2_LATLON_L2_LO
      Integer AM2_LATLON_L2_89A,AM2_LATLON_L2_89B,AM2_GRID_LATLON

      Integer SUCCEED,FAIL,AM2_HIGH,AM2_LOW,AM2CAL_L,AM2CAL_H

      Real    AM2_DEF_L3H_EQ_GSIZE,AM2_DEF_L3L_EQ_GSIZE
      Integer AM2_DEF_L3H_EQ_X,AM2_DEF_L3H_EQ_Y
      Integer AM2_DEF_L3L_EQ_X,AM2_DEF_L3L_EQ_Y
      Integer AM2_DEF_L3H_PN1_X,AM2_DEF_L3H_PN1_Y
      Integer AM2_DEF_L3L_PN1_X,AM2_DEF_L3L_PN1_Y
      Integer AM2_DEF_L3H_PN2_X,AM2_DEF_L3H_PN2_Y
      Integer AM2_DEF_L3L_PN2_X,AM2_DEF_L3L_PN2_Y
      Integer AM2_DEF_L3H_PS_X,AM2_DEF_L3H_PS_Y
      Integer AM2_DEF_L3L_PS_X,AM2_DEF_L3L_PS_Y
      Integer AM2_DEF_CAL_LO,AM2_DEF_CAL_HI

      Integer AM2_MISS_SHORT,AM2_MISS_UCHAR
      Real    AM2_MISS_FLOAT

      Integer AM2_DEF_IMISS,AM2_DEF_UIMISS,AM2_DEF_CMISS
      Real    AM2_DEF_RMISS
      
      Integer SUCCESS

      Integer AM2_DTYPE_INT,AM2_DTYPE_UCHAR,AM2_DTYPE_FLOAT
      Integer AM2_DTYPE_DOUBLE

      Integer AM2_SCANNUM_NOCHK
      Integer AM2_START_SCANNUM_ALL,AM2_END_SCANNUM_ALL

      Integer AM2_ON,AM2_OFF

      Integer AM2_RW_MODE,AM2_CREATE_MODE

C*****************************************************************************

      PARAMETER(A2HIGH=392)
      PARAMETER(A2LOW=196)
      PARAMETER(A2CAL_L=8)
      PARAMETER(A2CAL_H=16)
      PARAMETER(P1CAL_L=16)
      PARAMETER(P1CAL_H=32)

      PARAMETER(LOW_89_SCANNO=11)
      PARAMETER(BT_TEMP_MIN=2.7)
      PARAMETER(BT_TEMP_MAX=340.0)

C     include 'hdf.inc'

C*****************************************************************************
C*    Access label definition                                                *
C*****************************************************************************

C* L1A

      PARAMETER(AM2_SCAN_TIME_DEF =    10010)
      PARAMETER(AM2_POS_ORBIT     =    10020)
      PARAMETER(AM2_NAVI          =    10030)
      PARAMETER(AM2_ATT           =    10040)
      PARAMETER(AM2_OC06V         =    10050)
      PARAMETER(AM2_OC06H         =    10060)
      PARAMETER(AM2_OC07V         =    10070)
      PARAMETER(AM2_OC07H         =    10080)
      PARAMETER(AM2_OC10V         =    10090)
      PARAMETER(AM2_OC10H         =    10100)
      PARAMETER(AM2_OC18V         =    10110)
      PARAMETER(AM2_OC18H         =    10120)
      PARAMETER(AM2_OC23V         =    10130)
      PARAMETER(AM2_OC23H         =    10140)
      PARAMETER(AM2_OC36V         =    10150)
      PARAMETER(AM2_OC36H         =    10160)
      PARAMETER(AM2_OC89AV        =    10170)
      PARAMETER(AM2_OC89AH        =    10180)
      PARAMETER(AM2_OC89BV        =    10190)
      PARAMETER(AM2_OC89BH        =    10200)
      PARAMETER(AM2_OC_LO         =    10210)
      PARAMETER(AM2_OC_89A        =    10220)
      PARAMETER(AM2_OC_89B        =    10230)
      PARAMETER(AM2_HTS_LO        =    10240)
      PARAMETER(AM2_HTS_HI        =    10250)
      PARAMETER(AM2_CSM_LO        =    10260)
      PARAMETER(AM2_CSM_HI        =    10270)
      PARAMETER(AM2_OFF_GAIN      =    10290)
      PARAMETER(AM2_SUN_AZ        =    10300)
      PARAMETER(AM2_SUN_EL        =    10310)
      PARAMETER(AM2_EARTH_INC     =    10320)
      PARAMETER(AM2_EARTH_AZ      =    10330)
      PARAMETER(AM2_LOF_LO        =    10340)
      PARAMETER(AM2_LOF_HI        =    10350)
      PARAMETER(AM2_OB_SPL        =    10420)
      PARAMETER(AM2_SPC_TEMP      =    10430)
      PARAMETER(AM2_SPS_TEMP      =    10440)
      PARAMETER(AM2_PCD           =    10450)
      PARAMETER(AM2_SCAN_QUAL     =    10460)
      PARAMETER(AM2_PIX_QUAL_LO   =    10470)
      PARAMETER(AM2_PIX_QUAL_HI   =    10480)
      PARAMETER(AM2_INTPL_LO      =    10490)
      PARAMETER(AM2_INTPL_HI      =    10500)
      PARAMETER(AM2_SPL_OV        =    10510)

C* L1B

      PARAMETER(AM2_TB06V         =    11050)
      PARAMETER(AM2_TB06H         =    11060)
      PARAMETER(AM2_TB07V         =    11070)
      PARAMETER(AM2_TB07H         =    11080)
      PARAMETER(AM2_TB10V         =    11090)
      PARAMETER(AM2_TB10H         =    11100)
      PARAMETER(AM2_TB18V         =    11110)
      PARAMETER(AM2_TB18H         =    11120)
      PARAMETER(AM2_TB23V         =    11130)
      PARAMETER(AM2_TB23H         =    11140)
      PARAMETER(AM2_TB36V         =    11150)
      PARAMETER(AM2_TB36H         =    11160)
      PARAMETER(AM2_TB89AV        =    11170)
      PARAMETER(AM2_TB89AH        =    11180)
      PARAMETER(AM2_TB89BV        =    11190)
      PARAMETER(AM2_TB89BH        =    11200)
      PARAMETER(AM2_TB_LO         =    11210)
      PARAMETER(AM2_TB_89A        =    11220)
      PARAMETER(AM2_TB_89B        =    11230)

C* L1R
      PARAMETER(AM2_RES06_TB06V   =    12050)
      PARAMETER(AM2_RES06_TB06H   =    12060)
      PARAMETER(AM2_RES06_TB07V   =    12070)
      PARAMETER(AM2_RES06_TB07H   =    12080)
      PARAMETER(AM2_RES06_TB10V   =    12090)
      PARAMETER(AM2_RES06_TB10H   =    12100)
      PARAMETER(AM2_RES06_TB18V   =    12110)
      PARAMETER(AM2_RES06_TB18H   =    12120)
      PARAMETER(AM2_RES06_TB23V   =    12130)
      PARAMETER(AM2_RES06_TB23H   =    12140)
      PARAMETER(AM2_RES06_TB36V   =    12150)
      PARAMETER(AM2_RES06_TB36H   =    12160)
      PARAMETER(AM2_RES06_TB89V   =    12170)
      PARAMETER(AM2_RES06_TB89H   =    12180)
      PARAMETER(AM2_RES06_TB_ALL  =    12190)
      PARAMETER(AM2_RES10_TB10V   =    12200)
      PARAMETER(AM2_RES10_TB10H   =    12210)
      PARAMETER(AM2_RES10_TB18V   =    12220)
      PARAMETER(AM2_RES10_TB18H   =    12230)
      PARAMETER(AM2_RES10_TB23V   =    12240)
      PARAMETER(AM2_RES10_TB23H   =    12250)
      PARAMETER(AM2_RES10_TB36V   =    12260)
      PARAMETER(AM2_RES10_TB36H   =    12270)
      PARAMETER(AM2_RES10_TB89V   =    12280)
      PARAMETER(AM2_RES10_TB89H   =    12290)
      PARAMETER(AM2_RES10_TB_ALL  =    12300)
      PARAMETER(AM2_RES23_TB18V   =    12310)
      PARAMETER(AM2_RES23_TB18H   =    12320)
      PARAMETER(AM2_RES23_TB23V   =    12330)
      PARAMETER(AM2_RES23_TB23H   =    12340)
      PARAMETER(AM2_RES23_TB36V   =    12350)
      PARAMETER(AM2_RES23_TB36H   =    12360)
      PARAMETER(AM2_RES23_TB89V   =    12370)
      PARAMETER(AM2_RES23_TB89H   =    12380)
      PARAMETER(AM2_RES23_TB_ALL  =    12390)
      PARAMETER(AM2_RES36_TB36V   =    12400)
      PARAMETER(AM2_RES36_TB36H   =    12410)
      PARAMETER(AM2_RES36_TB89V   =    12420)
      PARAMETER(AM2_RES36_TB89H   =    12430)
      PARAMETER(AM2_RES36_TB_ALL  =    12440)
      PARAMETER(AM2_MEAN_HEIGHT   =    12510)
      PARAMETER(AM2_LOF_RES_LO    =    12560)
      PARAMETER(AM2_LOF_RES_HI    =    12570)

C* L2

      PARAMETER(AM2_SWATH_GEO1    =    21030)
      PARAMETER(AM2_SWATH_GEO2    =    21040)
      PARAMETER(AM2_SWATH_GEO3    =    21050)
      PARAMETER(AM2_SWATH_GEOA    =    21060)
      PARAMETER(AM2_PIX_QUAL      =    21070)
      PARAMETER(AM2_SWATHA_GEO1   =    22030)
      PARAMETER(AM2_SWATHA_GEO2   =    22040)
      PARAMETER(AM2_SWATHA_GEO3   =    22050)
      PARAMETER(AM2_SWATHA_GEOA   =    22060)
      PARAMETER(AM2_SWATHB_GEO1   =    22070)
      PARAMETER(AM2_SWATHB_GEO2   =    22080)
      PARAMETER(AM2_SWATHB_GEO3   =    22090)
      PARAMETER(AM2_SWATHB_GEOA   =    22100)
      PARAMETER(AM2_PIX_QUAL_A    =    22110)
      PARAMETER(AM2_PIX_QUAL_B    =    22120)

C* L3

      PARAMETER(AM2_GRID_TBV      =    31010)
      PARAMETER(AM2_GRID_TBH      =    31020)
      PARAMETER(AM2_GRID_TB       =    31030)
      PARAMETER(AM2_GRID_TIME     =    31040)
      PARAMETER(AM2_GRID_GEO1     =    31310)
      PARAMETER(AM2_GRID_GEO2     =    31320)
      PARAMETER(AM2_GRID_GEO3     =    31330)
      PARAMETER(AM2_GRID_GEOA     =    31340)

C* L3

      PARAMETER(AM2_GRID_TBV_STD  =    34140)
      PARAMETER(AM2_GRID_TBH_STD  =    34150)
      PARAMETER(AM2_GRID_TB_STD   =    34160)
      PARAMETER(AM2_GRID_TBV_ANUM =    34170)
      PARAMETER(AM2_GRID_TBH_ANUM =    34180)
      PARAMETER(AM2_GRID_TB_ANUM  =    34190)
      PARAMETER(AM2_GRID_TBV_TNUM =    34200)
      PARAMETER(AM2_GRID_TBH_TNUM =    34210)
      PARAMETER(AM2_GRID_TB_TNUM  =    34220)
      PARAMETER(AM2_GRID_GEO1_STD =    34510)
      PARAMETER(AM2_GRID_GEO2_STD =    34520)
      PARAMETER(AM2_GRID_GEO3_STD =    34530)
      PARAMETER(AM2_GRID_GEOA_STD =    34540)
      PARAMETER(AM2_GRID_GEO1_ANUM=    34550)
      PARAMETER(AM2_GRID_GEO2_ANUM=    34560)
      PARAMETER(AM2_GRID_GEO3_ANUM=    34570)
      PARAMETER(AM2_GRID_GEOA_ANUM=    34580)
      PARAMETER(AM2_GRID_GEO1_TNUM=    34590)
      PARAMETER(AM2_GRID_GEO2_TNUM=    34600)
      PARAMETER(AM2_GRID_GEO3_TNUM=    34610)
      PARAMETER(AM2_GRID_GEOA_TNUM=    34620)

C* LATLON

      PARAMETER(AM2_DEF_SNUM_LO   =    243)
      PARAMETER(AM2_DEF_SNUM_HI   =    486)
C

      PARAMETER(AM2_LATLON_06     =    40010)
      PARAMETER(AM2_LATLON_07     =    40020)
      PARAMETER(AM2_LATLON_10     =    40030)
      PARAMETER(AM2_LATLON_18     =    40040)
      PARAMETER(AM2_LATLON_23     =    40050)
      PARAMETER(AM2_LATLON_36     =    40060)
      PARAMETER(AM2_LATLON_89A    =    40070)
      PARAMETER(AM2_LATLON_89B    =    40080)
      PARAMETER(AM2_LATLON_LO     =    40090)
      PARAMETER(AM2_LATLON_RS_89A =    40100)
      PARAMETER(AM2_LATLON_RS_89B =    40110)
      PARAMETER(AM2_LATLON_RS_LO  =    40120)
      PARAMETER(AM2_LATLON_L2_LO  =    40130)
      PARAMETER(AM2_LATLON_L2_89A =    40140)
      PARAMETER(AM2_LATLON_L2_89B =    40150)
      PARAMETER(AM2_GRID_LATLON   =    40160)

C* 
      PARAMETER(SUCCEED           =    0)
      PARAMETER(FAIL              =    (-1))

      PARAMETER(AM2_HIGH          =    486)
      PARAMETER(AM2_LOW           =    243)

      PARAMETER(AM2_DEF_L3H_EQ_X  =    3600)
      PARAMETER(AM2_DEF_L3H_EQ_Y  =    1800)
      PARAMETER(AM2_DEF_L3L_EQ_X  =    1440)
      PARAMETER(AM2_DEF_L3L_EQ_Y  =    720)
      PARAMETER(AM2_DEF_L3H_EQ_GSIZE = 0.1)
      PARAMETER(AM2_DEF_L3L_EQ_GSIZE = 0.25)
      PARAMETER(AM2_DEF_L3H_PN1_X =    760)
      PARAMETER(AM2_DEF_L3H_PN1_Y =    1120)
      PARAMETER(AM2_DEF_L3L_PN1_X =    304)
      PARAMETER(AM2_DEF_L3L_PN1_Y =    448)
      PARAMETER(AM2_DEF_L3H_PN2_X =    1080)
      PARAMETER(AM2_DEF_L3H_PN2_Y =    1435)
      PARAMETER(AM2_DEF_L3L_PN2_X =    432)
      PARAMETER(AM2_DEF_L3L_PN2_Y =    574)
      PARAMETER(AM2_DEF_L3H_PS_X  =    790)
      PARAMETER(AM2_DEF_L3H_PS_Y  =    830)
      PARAMETER(AM2_DEF_L3L_PS_X  =    316)
      PARAMETER(AM2_DEF_L3L_PS_Y  =    332)
      PARAMETER(AM2_DEF_CAL_LO    =    16)
      PARAMETER(AM2_DEF_CAL_HI    =    32)

      PARAMETER(AM2CAL_L          =    16)
      PARAMETER(AM2CAL_H          =    32)

      PARAMETER(AM2_MISS_SHORT    =    9999)
      PARAMETER(AM2_MISS_UCHAR    =    99)
      PARAMETER(AM2_MISS_FLOAT    =    -999.9)

      PARAMETER(AM2_DEF_IMISS     =    -32768)
      PARAMETER(AM2_DEF_UIMISS    =    65535)
      PARAMETER(AM2_DEF_CMISS     =    255)
      PARAMETER(AM2_DEF_RMISS     =    -9999.99)

      PARAMETER(SUCCESS           =    0)

      PARAMETER(AM2_DTYPE_INT     =    1)
      PARAMETER(AM2_DTYPE_UCHAR   =    2)
      PARAMETER(AM2_DTYPE_FLOAT   =    3)
      PARAMETER(AM2_DTYPE_DOUBLE  =    4)

      PARAMETER(AM2_SCANNUM_NOCHK =    -9999)

      PARAMETER(AM2_START_SCANNUM_ALL =  AM2_SCANNUM_NOCHK)
      PARAMETER(AM2_END_SCANNUM_ALL =    AM2_SCANNUM_NOCHK)

      PARAMETER(AM2_ON            =    1)
      PARAMETER(AM2_OFF           =    0)

      PARAMETER(AM2_RW_MODE       =    1)
      PARAMETER(AM2_CREATE_MODE   =    2)

C*****************************************************************************
C*    AMTK LATLON                                                            *
C*****************************************************************************
C*    structure /AM2_COMMON_LATLON/
C*    type AM2_COMMON_LATLON
C*    real*4  lat
C*    real*4  lon
C*    end structure
C*    end type AM2_COMMON_LATLON
      character*8 AM2_COMMON_LATLON
      real*4 lat
      real*4 lon
      EQUIVALENCE (AM2_COMMON_LATLON(1:4), lat)
      EQUIVALENCE (AM2_COMMON_LATLON(5:8), lon)

C*****************************************************************************
C*    AMTK SCANTIME                                                          *
C*****************************************************************************
C*    structure /AM2_COMMON_SCANTIME/
C*    type AM2_COMMON_SCANTIME
C*    total sec. beginning 1993/01/01
C*    real*8  tai93sec
C*    integer*2   year
C*    integer*2   month
C*    integer*2   day
C*    integer*2   hour
C*    integer*2   minute
C*    integer*2   second
C*    integer*2   ms
C*    integer*2   reserve
C*    end structure
C*    end type AM2_COMMON_SCANTIME
      character*24 AM2_COMMON_SCANTIME
      real*8      tai93sec
      integer*2   year
      integer*2   month
      integer*2   day
      integer*2   hour
      integer*2   minute
      integer*2   second
      integer*2   ms
      integer*2   reserve

      EQUIVALENCE (AM2_COMMON_SCANTIME(1:8), tai93sec)
      EQUIVALENCE (AM2_COMMON_SCANTIME(9:10), year)
      EQUIVALENCE (AM2_COMMON_SCANTIME(11:12), month)
      EQUIVALENCE (AM2_COMMON_SCANTIME(13:14), day)
      EQUIVALENCE (AM2_COMMON_SCANTIME(15:16), hour)
      EQUIVALENCE (AM2_COMMON_SCANTIME(17:18), minute)
      EQUIVALENCE (AM2_COMMON_SCANTIME(19:20), second)
      EQUIVALENCE (AM2_COMMON_SCANTIME(21:22), ms)
      EQUIVALENCE (AM2_COMMON_SCANTIME(23:24), reserve)

C*****************************************************************************
C*    AMTK SCAN_DATA_QUALITY                                                 *
C*****************************************************************************
C*    structure /AMTK_SCAN_DATA_QUALITY/
C*    type AMTK_SCAN_DATA_QUALITY
C*    real*4 angular_direction(2)
C*    integer*4 quality_of_packet
C*    real*4 angular_velocity
C*    real*4 calibration(64)
C*    integer*4 spc_sps_error
C*    integer*4 hts_temperature(16)
C*    integer*4 parity_error(33)
C*    integer*4 quality_info
C*    integer*4 spare(9)
C*    end structure
C*    end type AMTK_SCAN_DATA_QUALITY

      character*512 AMTK_SCAN_DATA_QUALITY
      integer*4   angular_direction(2)
      integer*4   quality_of_packet
      real*4      angular_velocity
      real*4      calibration(64)
      integer*4   spc_sps_error
      integer*4   hts_temperature(16)
      integer*4   parity_error(33)
      integer*4   quality_info(4)
      integer*4   spare(6)

      EQUIVALENCE (AMTK_SCAN_DATA_QUALITY(1:8),angular_direction(2))
      EQUIVALENCE (AMTK_SCAN_DATA_QUALITY(9:12),quality_of_packet)
      EQUIVALENCE (AMTK_SCAN_DATA_QUALITY(13:16),angular_velocity)
      EQUIVALENCE (AMTK_SCAN_DATA_QUALITY(17:272),calibration(64))
      EQUIVALENCE (AMTK_SCAN_DATA_QUALITY(273:276),spc_sps_error)
      EQUIVALENCE (AMTK_SCAN_DATA_QUALITY(277:340),hts_temperature(16))
      EQUIVALENCE (AMTK_SCAN_DATA_QUALITY(341:472),parity_error(33))
      EQUIVALENCE (AMTK_SCAN_DATA_QUALITY(473:488),quality_info(4))
      EQUIVALENCE (AMTK_SCAN_DATA_QUALITY(489:512),spare(6))

C*****************************************************************************
C*    Function prototypes                                                    *
C*****************************************************************************

      Integer AMTK_openH5
      integer AMTK_closeH5
      integer AMTK_getDimSize
      integer AMTK_getMetaDataName
      integer AMTK_getMetaData
      integer AMTK_getScanTime
      integer AMTK_getLatLon
      integer AMTK_get_ScanDataQuality
      integer AMTK_get_SwathInt
      integer AMTK_get_SwathFloat
      integer AMTK_get_SwathDouble
      integer AMTK_get_SwathUChar

C*******************************************************************************

      integer AMTK_openH5_Write
      integer AMTK_closeH5_Write
      integer AMTK_setDimSize
      integer AMTK_setMetaDataNAME
      integer AMTK_setMetaData
      integer AMTK_setScanTime
      integer AMTK_setLatLon
      integer AMTK_set_ScanDataQuality
      integer AMTK_set_SwathInt
      integer AMTK_set_SwathFloat
      integer AMTK_set_SwathDouble
      integer AMTK_set_SwathUChar

C*******************************************************************************

      integer AMTK_get_GridInt
      integer AMTK_get_GridFloat
      integer AMTK_get_Grid03D
      integer AMTK_set_GridInt
      integer AMTK_set_GridFloat
